### Function

# GLib Uri parse

since: 2.66

#### Declaration [src]

    GUri*
    g_uri_parse (
      const gchar* uri_string,
      GUriFlags flags,
      GError** error
    )

#### Description [src]

Parses `uri_string` according to `flags`. If the result is not a valid absolute URI, it will be discarded, and an error returned.

Available since: 2.66

#### Parameters

`uri_string`

  Type: `const gchar*`

  A string representing an absolute URI.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `GUriFlags`

  Flags describing how to parse `uri_string`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GUri`

A new `GUri`, or NULL on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.